export const NAME: "attr";
/**
 * JS equivalent of Thymeleaf's `th:attr` attribute processor, modifies or sets
 * a target attribute to whatever its associated expression evaluates to.
 *
 * @author Emanuel Rabina
 */
export default class AttrAttributeProcessor extends AttributeProcessor {
    /**
     * Constructor, set this processor to use the `attr` name and supplied prefix.
     *
     * @param {string} prefix
     * @param {object} [isomorphic]
     */
    constructor(prefix: string, isomorphic?: object);
}
import AttributeProcessor from '../../processors/AttributeProcessor.js';
