export const NAME: "block";
/**
 * Equivalent of Thymeleaf's "synthetic tag", `th:block`, which removes itself,
 * leaving the body of the tag behind.
 *
 * @author Emanuel Rabina
 */
export default class BlockElementProcessor extends ElementProcessor {
    /**
     * Constructor, set this processor to use the `block` name and supplied prefix.
     *
     * @param {string} prefix
     */
    constructor(prefix: string);
}
import ElementProcessor from '../../processors/ElementProcessor.js';
