export const NAME: "fragment";
/**
 * JS equivalent of Thymeleaf's `th:fragment` attribute processor, marks an
 * element as a template fragment that can be imported by other processors like
 * `th:insert`.
 *
 * @author Emanuel Rabina
 */
export default class FragmentAttributeProcessor extends AttributeProcessor {
    /**
     * Constructor, set this processor to use the `fragment` name and supplied
     * prefix.
     *
     * @param {string} prefix
     * @param {object} [isomorphic]
     */
    constructor(prefix: string, isomorphic?: object);
}
import AttributeProcessor from '../../processors/AttributeProcessor.js';
