export const NAME: "if";
/**
 * JS equivalent of Thymeleaf's `th:if` attribute processor, includes or
 * excludes the current element and its children from rendering, depending on
 * the evaluation of the expression in the attribute value.
 *
 * @author Emanuel Rabina
 */
export default class IfAttributeProcessor extends AttributeProcessor {
    /**
     * Constructor, set this processor to use the `if` name and supplied prefix.
     *
     * @param {string} prefix
     * @param {object} [isomorphic]
     */
    constructor(prefix: string, isomorphic?: object);
}
import AttributeProcessor from '../../processors/AttributeProcessor.js';
