export const NAME: "insert";
/**
 * JS equivalent of Thymeleaf's `th:insert` attribute processor, inserts the
 * referenced template fragment as a child of the current element.
 *
 * @author Emanuel Rabina
 */
export default class InsertAttributeProcessor extends AttributeProcessor {
    /**
     * Constructor, set this processor to use the `insert` name and supplied
     * prefix.
     *
     * @param {string} prefix
     * @param {object} [isomorphic]
     */
    constructor(prefix: string, isomorphic?: object);
}
import AttributeProcessor from '../../processors/AttributeProcessor.js';
