export const NAME: "text";
/**
 * JS equivalent of Thymeleaf's `th:text` attribute processor, applies the
 * expression in the attribute value to the text content of the element being
 * processed, escaping any unsafe input.
 *
 * @author Emanuel Rabina
 */
export default class TextAttributeProcessor extends AttributeProcessor {
    /**
     * Constructor, set this processor to use the `text` name and supplied prefix.
     *
     * @param {string} prefix
     * @param {object} [isomorphic]
     */
    constructor(prefix: string, isomorphic?: object);
}
import AttributeProcessor from '../../processors/AttributeProcessor.js';
