export const NAME: "utext";
/**
 * JS equivalent of Thymeleaf's `th:utext` attribute processor, applies the
 * expression in the attribute value to the text content of the element being
 * processed.
 *
 * @author Emanuel Rabina
 */
export default class UTextAttributeProcessor extends AttributeProcessor {
    /**
     * Constructor, set this processor to use the `utext` name and supplied
     * prefix.
     *
     * @param {string} prefix
     * @param {object} [isomorphic]
     */
    constructor(prefix: string, isomorphic?: object);
}
import AttributeProcessor from '../../processors/AttributeProcessor.js';
