export const NAME: "unless";
/**
 * JS equivalent of Thymeleaf's `th:unless` attribute processor, excludes or
 * includes the current element and its children from rendering, depending on
 * the evaluation of the expression in the attribute value.
 *
 * @author Robbie Bardijn
 */
export default class UnlessAttributeProcessor extends AttributeProcessor {
    /**
     * Constructor, set this processor to use the `unless` name and supplied prefix.
     *
     * @param {string} prefix
     * @param {object} [isomorphic]
     */
    constructor(prefix: string, isomorphic?: object);
}
import AttributeProcessor from '../../processors/AttributeProcessor.js';
